package com.heyu.api.data.service.vv;
/**
* <p>
* 结算证明与子单表的关联表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.vv.VvTradeOrderLineSettlementProveEntity;
public interface VvTradeOrderLineSettlementProveService extends IService<VvTradeOrderLineSettlementProveEntity> {



	VvTradeOrderLineSettlementProveEntity selectVvTradeOrderLineSettlementProveById(Long id);


	Long insertVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	Long insertOrUpdateVvTradeOrderLineSettlementProve(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int updateVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int updateCoverVvTradeOrderLineSettlementProveById(VvTradeOrderLineSettlementProveEntity vvTradeOrderLineSettlementProve);


	int deleteVvTradeOrderLineSettlementProveById(Long id);


}